#!/bin/bash

# setting env.

# jdk env

export JAVA_HOME=~/bigdata/jdk8u292-b10
export CLASSPATH=$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar
export PATH=$PATH:$JAVA_HOME/bin

java -version

# spark env

export SPARK_HOME=~/bigdata/spark-3.0.2-bin-hadoop2.7
export PATH=$PATH:$SPARK_HOME/bin:$SPARK_HOME/sbin

mkdir -p $SPARK_HOME/logs
mkdir -p $SPARK_HOME/work

cp conf/spark-defaults.conf $SPARK_HOME/conf

echo "Startup spark worker."

$SPARK_HOME/bin/spark-class org.apache.spark.deploy.worker.Worker --webui-port 5050 spark://localhost:7077 >> $SPARK_HOME/logs/spark-worker.out
